Bug 35813 - i810 audio plays too fast
i810 audio plays too fast
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-12 11:51 EDT by Mike Vaillancourt
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 12:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Vaillancourt 2001-04-12 11:51:44 EDT
P4 SMP system using i850 chipset plays sample.au sample too fast.

Here is lspci

[root@dhcpd87 /root]# lspci 
00:00.0 Host bridge: Intel Corporation 82850 860 (Wombat) Chipset Host
Bridge (M
CH) (rev 02)
00:01.0 PCI bridge: Intel Corporation 82850 850 (Tehama) Chipset AGP Bridge
(rev
 02)
00:02.0 PCI bridge: Intel Corporation 82860 860 (Wombat) Chipset AGP Bridge
(rev
 02)
00:1e.0 PCI bridge: Intel Corporation 82820 820 (Camino 2) Chipset PCI (rev
04)
00:1f.0 ISA bridge: Intel Corporation 82820 820 (Camino 2) Chipset ISA
Bridge (I
CH2) (rev 04)
00:1f.1 IDE interface: Intel Corporation 82820 820 (Camino 2) Chipset IDE
U100 (
rev 04)
00:1f.2 USB Controller: Intel Corporation 82820 820 (Camino 2) Chipset USB
(Hub 
A) (rev 04)
00:1f.3 SMBus: Intel Corporation 82820 820 (Camino 2) Chipset SMBus (rev
04)
00:1f.5 Multimedia audio controller: Intel Corporation: Unknown device 2445
(rev
 04)
01:00.0 VGA compatible controller: nVidia Corporation NV11 GL (rev a1)
02:1f.0 PCI bridge: Intel Corporation 82806AA PCI64 Hub PCI Bridge (rev 03)
03:00.0 PIC: Intel Corporation 82806AA PCI64 Hub Advanced Programmable
Interrupt
 Controller (rev 01)
03:08.0 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1010
66Mhz
 Ultra3 SCSI Adapter (rev 01)
03:08.1 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1010
66Mhz
 Ultra3 SCSI Adapter (rev 01)
04:0d.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 0c)

Here is lsmod

[root@dhcpd87 /root]# lsmod
Module                  Size  Used by
i810_audio             15664   1 
soundcore               4816   2  [i810_audio]
ac97_codec              8800   0  [i810_audio]
autofs                 11808   1  (autoclean)
eepro100               17232   1  (autoclean)
ipchains               41632   0  (unused)
usb-uhci               22096   0  (unused)
usbcore                52416   1  [usb-uhci]
sym53c8xx              62624   3 
sd_mod                 11744   3 
scsi_mod               98624   2  [sym53c8xx sd_mod]
Comment 1 Arjan van de Ven 2001-04-12 15:54:14 EDT
Please specify the exact kernel you are using (uname -a will tell you) as
the latest kernels have some changes in this area.
Comment 2 Mike Vaillancourt 2001-04-12 16:02:22 EDT
Sorry, gold 2.4.2-2smp
Comment 3 Mike Vaillancourt 2001-07-10 12:13:50 EDT
Just installed the errata kernel. No change.
Comment 4 Doug Ledford 2001-08-02 13:27:56 EDT
The i810 audio on some machines is rate locked, and it is the responsibility of
the user space sound software to convert the sample.au file to the proper rate
for this chipset.  If it doesn't do that, then it plays too fast.  The bug isn't
in the i810 audio driver, it's in the sox sound package.

Note You need to log in before you can comment on or make changes to this bug.